Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/16
Addresses2^112
/64 networks2^48
Network
fc64::/16
First address
fc64::
Last address
fc64:ffff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
5,192,296,858,534,827,628,530,496,329,220,096 (2^112)
/64 networks (LANs)
281,474,976,710,656 (2^48)
Full form
fc64:0000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
4.6.c.f.ip6.arpa
Split into smaller subnets/28

fc64::/16 makes 4,096 subnets of /28; the first 256 are listed.

Subnets
#SubnetLast address
1fc64::/28fc64:f:ffff:ffff:ffff:ffff:ffff:ffff
2fc64:10::/28fc64:1f:ffff:ffff:ffff:ffff:ffff:ffff
3fc64:20::/28fc64:2f:ffff:ffff:ffff:ffff:ffff:ffff
4fc64:30::/28fc64:3f:ffff:ffff:ffff:ffff:ffff:ffff
5fc64:40::/28fc64:4f:ffff:ffff:ffff:ffff:ffff:ffff
6fc64:50::/28fc64:5f:ffff:ffff:ffff:ffff:ffff:ffff
7fc64:60::/28fc64:6f:ffff:ffff:ffff:ffff:ffff:ffff
8fc64:70::/28fc64:7f:ffff:ffff:ffff:ffff:ffff:ffff
9fc64:80::/28fc64:8f:ffff:ffff:ffff:ffff:ffff:ffff
10fc64:90::/28fc64:9f:ffff:ffff:ffff:ffff:ffff:ffff
11fc64:a0::/28fc64:af:ffff:ffff:ffff:ffff:ffff:ffff
12fc64:b0::/28fc64:bf:ffff:ffff:ffff:ffff:ffff:ffff
13fc64:c0::/28fc64:cf:ffff:ffff:ffff:ffff:ffff:ffff
14fc64:d0::/28fc64:df:ffff:ffff:ffff:ffff:ffff:ffff
15fc64:e0::/28fc64:ef:ffff:ffff:ffff:ffff:ffff:ffff
16fc64:f0::/28fc64:ff:ffff:ffff:ffff:ffff:ffff:ffff
17fc64:100::/28fc64:10f:ffff:ffff:ffff:ffff:ffff:ffff
18fc64:110::/28fc64:11f:ffff:ffff:ffff:ffff:ffff:ffff
19fc64:120::/28fc64:12f:ffff:ffff:ffff:ffff:ffff:ffff
20fc64:130::/28fc64:13f:ffff:ffff:ffff:ffff:ffff:ffff
21fc64:140::/28fc64:14f:ffff:ffff:ffff:ffff:ffff:ffff
22fc64:150::/28fc64:15f:ffff:ffff:ffff:ffff:ffff:ffff
23fc64:160::/28fc64:16f:ffff:ffff:ffff:ffff:ffff:ffff
24fc64:170::/28fc64:17f:ffff:ffff:ffff:ffff:ffff:ffff
25fc64:180::/28fc64:18f:ffff:ffff:ffff:ffff:ffff:ffff
26fc64:190::/28fc64:19f:ffff:ffff:ffff:ffff:ffff:ffff
27fc64:1a0::/28fc64:1af:ffff:ffff:ffff:ffff:ffff:ffff
28fc64:1b0::/28fc64:1bf:ffff:ffff:ffff:ffff:ffff:ffff
29fc64:1c0::/28fc64:1cf:ffff:ffff:ffff:ffff:ffff:ffff
30fc64:1d0::/28fc64:1df:ffff:ffff:ffff:ffff:ffff:ffff
31fc64:1e0::/28fc64:1ef:ffff:ffff:ffff:ffff:ffff:ffff
32fc64:1f0::/28fc64:1ff:ffff:ffff:ffff:ffff:ffff:ffff
33fc64:200::/28fc64:20f:ffff:ffff:ffff:ffff:ffff:ffff
34fc64:210::/28fc64:21f:ffff:ffff:ffff:ffff:ffff:ffff
35fc64:220::/28fc64:22f:ffff:ffff:ffff:ffff:ffff:ffff
36fc64:230::/28fc64:23f:ffff:ffff:ffff:ffff:ffff:ffff
37fc64:240::/28fc64:24f:ffff:ffff:ffff:ffff:ffff:ffff
38fc64:250::/28fc64:25f:ffff:ffff:ffff:ffff:ffff:ffff
39fc64:260::/28fc64:26f:ffff:ffff:ffff:ffff:ffff:ffff
40fc64:270::/28fc64:27f:ffff:ffff:ffff:ffff:ffff:ffff
41fc64:280::/28fc64:28f:ffff:ffff:ffff:ffff:ffff:ffff
42fc64:290::/28fc64:29f:ffff:ffff:ffff:ffff:ffff:ffff
43fc64:2a0::/28fc64:2af:ffff:ffff:ffff:ffff:ffff:ffff
44fc64:2b0::/28fc64:2bf:ffff:ffff:ffff:ffff:ffff:ffff
45fc64:2c0::/28fc64:2cf:ffff:ffff:ffff:ffff:ffff:ffff
46fc64:2d0::/28fc64:2df:ffff:ffff:ffff:ffff:ffff:ffff
47fc64:2e0::/28fc64:2ef:ffff:ffff:ffff:ffff:ffff:ffff
48fc64:2f0::/28fc64:2ff:ffff:ffff:ffff:ffff:ffff:ffff
49fc64:300::/28fc64:30f:ffff:ffff:ffff:ffff:ffff:ffff
50fc64:310::/28fc64:31f:ffff:ffff:ffff:ffff:ffff:ffff
51fc64:320::/28fc64:32f:ffff:ffff:ffff:ffff:ffff:ffff
52fc64:330::/28fc64:33f:ffff:ffff:ffff:ffff:ffff:ffff
53fc64:340::/28fc64:34f:ffff:ffff:ffff:ffff:ffff:ffff
54fc64:350::/28fc64:35f:ffff:ffff:ffff:ffff:ffff:ffff
55fc64:360::/28fc64:36f:ffff:ffff:ffff:ffff:ffff:ffff
56fc64:370::/28fc64:37f:ffff:ffff:ffff:ffff:ffff:ffff
57fc64:380::/28fc64:38f:ffff:ffff:ffff:ffff:ffff:ffff
58fc64:390::/28fc64:39f:ffff:ffff:ffff:ffff:ffff:ffff
59fc64:3a0::/28fc64:3af:ffff:ffff:ffff:ffff:ffff:ffff
60fc64:3b0::/28fc64:3bf:ffff:ffff:ffff:ffff:ffff:ffff
61fc64:3c0::/28fc64:3cf:ffff:ffff:ffff:ffff:ffff:ffff
62fc64:3d0::/28fc64:3df:ffff:ffff:ffff:ffff:ffff:ffff
63fc64:3e0::/28fc64:3ef:ffff:ffff:ffff:ffff:ffff:ffff
64fc64:3f0::/28fc64:3ff:ffff:ffff:ffff:ffff:ffff:ffff
65fc64:400::/28fc64:40f:ffff:ffff:ffff:ffff:ffff:ffff
66fc64:410::/28fc64:41f:ffff:ffff:ffff:ffff:ffff:ffff
67fc64:420::/28fc64:42f:ffff:ffff:ffff:ffff:ffff:ffff
68fc64:430::/28fc64:43f:ffff:ffff:ffff:ffff:ffff:ffff
69fc64:440::/28fc64:44f:ffff:ffff:ffff:ffff:ffff:ffff
70fc64:450::/28fc64:45f:ffff:ffff:ffff:ffff:ffff:ffff
71fc64:460::/28fc64:46f:ffff:ffff:ffff:ffff:ffff:ffff
72fc64:470::/28fc64:47f:ffff:ffff:ffff:ffff:ffff:ffff
73fc64:480::/28fc64:48f:ffff:ffff:ffff:ffff:ffff:ffff
74fc64:490::/28fc64:49f:ffff:ffff:ffff:ffff:ffff:ffff
75fc64:4a0::/28fc64:4af:ffff:ffff:ffff:ffff:ffff:ffff
76fc64:4b0::/28fc64:4bf:ffff:ffff:ffff:ffff:ffff:ffff
77fc64:4c0::/28fc64:4cf:ffff:ffff:ffff:ffff:ffff:ffff
78fc64:4d0::/28fc64:4df:ffff:ffff:ffff:ffff:ffff:ffff
79fc64:4e0::/28fc64:4ef:ffff:ffff:ffff:ffff:ffff:ffff
80fc64:4f0::/28fc64:4ff:ffff:ffff:ffff:ffff:ffff:ffff
81fc64:500::/28fc64:50f:ffff:ffff:ffff:ffff:ffff:ffff
82fc64:510::/28fc64:51f:ffff:ffff:ffff:ffff:ffff:ffff
83fc64:520::/28fc64:52f:ffff:ffff:ffff:ffff:ffff:ffff
84fc64:530::/28fc64:53f:ffff:ffff:ffff:ffff:ffff:ffff
85fc64:540::/28fc64:54f:ffff:ffff:ffff:ffff:ffff:ffff
86fc64:550::/28fc64:55f:ffff:ffff:ffff:ffff:ffff:ffff
87fc64:560::/28fc64:56f:ffff:ffff:ffff:ffff:ffff:ffff
88fc64:570::/28fc64:57f:ffff:ffff:ffff:ffff:ffff:ffff
89fc64:580::/28fc64:58f:ffff:ffff:ffff:ffff:ffff:ffff
90fc64:590::/28fc64:59f:ffff:ffff:ffff:ffff:ffff:ffff
91fc64:5a0::/28fc64:5af:ffff:ffff:ffff:ffff:ffff:ffff
92fc64:5b0::/28fc64:5bf:ffff:ffff:ffff:ffff:ffff:ffff
93fc64:5c0::/28fc64:5cf:ffff:ffff:ffff:ffff:ffff:ffff
94fc64:5d0::/28fc64:5df:ffff:ffff:ffff:ffff:ffff:ffff
95fc64:5e0::/28fc64:5ef:ffff:ffff:ffff:ffff:ffff:ffff
96fc64:5f0::/28fc64:5ff:ffff:ffff:ffff:ffff:ffff:ffff
97fc64:600::/28fc64:60f:ffff:ffff:ffff:ffff:ffff:ffff
98fc64:610::/28fc64:61f:ffff:ffff:ffff:ffff:ffff:ffff
99fc64:620::/28fc64:62f:ffff:ffff:ffff:ffff:ffff:ffff
100fc64:630::/28fc64:63f:ffff:ffff:ffff:ffff:ffff:ffff
101fc64:640::/28fc64:64f:ffff:ffff:ffff:ffff:ffff:ffff
102fc64:650::/28fc64:65f:ffff:ffff:ffff:ffff:ffff:ffff
103fc64:660::/28fc64:66f:ffff:ffff:ffff:ffff:ffff:ffff
104fc64:670::/28fc64:67f:ffff:ffff:ffff:ffff:ffff:ffff
105fc64:680::/28fc64:68f:ffff:ffff:ffff:ffff:ffff:ffff
106fc64:690::/28fc64:69f:ffff:ffff:ffff:ffff:ffff:ffff
107fc64:6a0::/28fc64:6af:ffff:ffff:ffff:ffff:ffff:ffff
108fc64:6b0::/28fc64:6bf:ffff:ffff:ffff:ffff:ffff:ffff
109fc64:6c0::/28fc64:6cf:ffff:ffff:ffff:ffff:ffff:ffff
110fc64:6d0::/28fc64:6df:ffff:ffff:ffff:ffff:ffff:ffff
111fc64:6e0::/28fc64:6ef:ffff:ffff:ffff:ffff:ffff:ffff
112fc64:6f0::/28fc64:6ff:ffff:ffff:ffff:ffff:ffff:ffff
113fc64:700::/28fc64:70f:ffff:ffff:ffff:ffff:ffff:ffff
114fc64:710::/28fc64:71f:ffff:ffff:ffff:ffff:ffff:ffff
115fc64:720::/28fc64:72f:ffff:ffff:ffff:ffff:ffff:ffff
116fc64:730::/28fc64:73f:ffff:ffff:ffff:ffff:ffff:ffff
117fc64:740::/28fc64:74f:ffff:ffff:ffff:ffff:ffff:ffff
118fc64:750::/28fc64:75f:ffff:ffff:ffff:ffff:ffff:ffff
119fc64:760::/28fc64:76f:ffff:ffff:ffff:ffff:ffff:ffff
120fc64:770::/28fc64:77f:ffff:ffff:ffff:ffff:ffff:ffff
121fc64:780::/28fc64:78f:ffff:ffff:ffff:ffff:ffff:ffff
122fc64:790::/28fc64:79f:ffff:ffff:ffff:ffff:ffff:ffff
123fc64:7a0::/28fc64:7af:ffff:ffff:ffff:ffff:ffff:ffff
124fc64:7b0::/28fc64:7bf:ffff:ffff:ffff:ffff:ffff:ffff
125fc64:7c0::/28fc64:7cf:ffff:ffff:ffff:ffff:ffff:ffff
126fc64:7d0::/28fc64:7df:ffff:ffff:ffff:ffff:ffff:ffff
127fc64:7e0::/28fc64:7ef:ffff:ffff:ffff:ffff:ffff:ffff
128fc64:7f0::/28fc64:7ff:ffff:ffff:ffff:ffff:ffff:ffff
129fc64:800::/28fc64:80f:ffff:ffff:ffff:ffff:ffff:ffff
130fc64:810::/28fc64:81f:ffff:ffff:ffff:ffff:ffff:ffff
131fc64:820::/28fc64:82f:ffff:ffff:ffff:ffff:ffff:ffff
132fc64:830::/28fc64:83f:ffff:ffff:ffff:ffff:ffff:ffff
133fc64:840::/28fc64:84f:ffff:ffff:ffff:ffff:ffff:ffff
134fc64:850::/28fc64:85f:ffff:ffff:ffff:ffff:ffff:ffff
135fc64:860::/28fc64:86f:ffff:ffff:ffff:ffff:ffff:ffff
136fc64:870::/28fc64:87f:ffff:ffff:ffff:ffff:ffff:ffff
137fc64:880::/28fc64:88f:ffff:ffff:ffff:ffff:ffff:ffff
138fc64:890::/28fc64:89f:ffff:ffff:ffff:ffff:ffff:ffff
139fc64:8a0::/28fc64:8af:ffff:ffff:ffff:ffff:ffff:ffff
140fc64:8b0::/28fc64:8bf:ffff:ffff:ffff:ffff:ffff:ffff
141fc64:8c0::/28fc64:8cf:ffff:ffff:ffff:ffff:ffff:ffff
142fc64:8d0::/28fc64:8df:ffff:ffff:ffff:ffff:ffff:ffff
143fc64:8e0::/28fc64:8ef:ffff:ffff:ffff:ffff:ffff:ffff
144fc64:8f0::/28fc64:8ff:ffff:ffff:ffff:ffff:ffff:ffff
145fc64:900::/28fc64:90f:ffff:ffff:ffff:ffff:ffff:ffff
146fc64:910::/28fc64:91f:ffff:ffff:ffff:ffff:ffff:ffff
147fc64:920::/28fc64:92f:ffff:ffff:ffff:ffff:ffff:ffff
148fc64:930::/28fc64:93f:ffff:ffff:ffff:ffff:ffff:ffff
149fc64:940::/28fc64:94f:ffff:ffff:ffff:ffff:ffff:ffff
150fc64:950::/28fc64:95f:ffff:ffff:ffff:ffff:ffff:ffff
151fc64:960::/28fc64:96f:ffff:ffff:ffff:ffff:ffff:ffff
152fc64:970::/28fc64:97f:ffff:ffff:ffff:ffff:ffff:ffff
153fc64:980::/28fc64:98f:ffff:ffff:ffff:ffff:ffff:ffff
154fc64:990::/28fc64:99f:ffff:ffff:ffff:ffff:ffff:ffff
155fc64:9a0::/28fc64:9af:ffff:ffff:ffff:ffff:ffff:ffff
156fc64:9b0::/28fc64:9bf:ffff:ffff:ffff:ffff:ffff:ffff
157fc64:9c0::/28fc64:9cf:ffff:ffff:ffff:ffff:ffff:ffff
158fc64:9d0::/28fc64:9df:ffff:ffff:ffff:ffff:ffff:ffff
159fc64:9e0::/28fc64:9ef:ffff:ffff:ffff:ffff:ffff:ffff
160fc64:9f0::/28fc64:9ff:ffff:ffff:ffff:ffff:ffff:ffff
161fc64:a00::/28fc64:a0f:ffff:ffff:ffff:ffff:ffff:ffff
162fc64:a10::/28fc64:a1f:ffff:ffff:ffff:ffff:ffff:ffff
163fc64:a20::/28fc64:a2f:ffff:ffff:ffff:ffff:ffff:ffff
164fc64:a30::/28fc64:a3f:ffff:ffff:ffff:ffff:ffff:ffff
165fc64:a40::/28fc64:a4f:ffff:ffff:ffff:ffff:ffff:ffff
166fc64:a50::/28fc64:a5f:ffff:ffff:ffff:ffff:ffff:ffff
167fc64:a60::/28fc64:a6f:ffff:ffff:ffff:ffff:ffff:ffff
168fc64:a70::/28fc64:a7f:ffff:ffff:ffff:ffff:ffff:ffff
169fc64:a80::/28fc64:a8f:ffff:ffff:ffff:ffff:ffff:ffff
170fc64:a90::/28fc64:a9f:ffff:ffff:ffff:ffff:ffff:ffff
171fc64:aa0::/28fc64:aaf:ffff:ffff:ffff:ffff:ffff:ffff
172fc64:ab0::/28fc64:abf:ffff:ffff:ffff:ffff:ffff:ffff
173fc64:ac0::/28fc64:acf:ffff:ffff:ffff:ffff:ffff:ffff
174fc64:ad0::/28fc64:adf:ffff:ffff:ffff:ffff:ffff:ffff
175fc64:ae0::/28fc64:aef:ffff:ffff:ffff:ffff:ffff:ffff
176fc64:af0::/28fc64:aff:ffff:ffff:ffff:ffff:ffff:ffff
177fc64:b00::/28fc64:b0f:ffff:ffff:ffff:ffff:ffff:ffff
178fc64:b10::/28fc64:b1f:ffff:ffff:ffff:ffff:ffff:ffff
179fc64:b20::/28fc64:b2f:ffff:ffff:ffff:ffff:ffff:ffff
180fc64:b30::/28fc64:b3f:ffff:ffff:ffff:ffff:ffff:ffff
181fc64:b40::/28fc64:b4f:ffff:ffff:ffff:ffff:ffff:ffff
182fc64:b50::/28fc64:b5f:ffff:ffff:ffff:ffff:ffff:ffff
183fc64:b60::/28fc64:b6f:ffff:ffff:ffff:ffff:ffff:ffff
184fc64:b70::/28fc64:b7f:ffff:ffff:ffff:ffff:ffff:ffff
185fc64:b80::/28fc64:b8f:ffff:ffff:ffff:ffff:ffff:ffff
186fc64:b90::/28fc64:b9f:ffff:ffff:ffff:ffff:ffff:ffff
187fc64:ba0::/28fc64:baf:ffff:ffff:ffff:ffff:ffff:ffff
188fc64:bb0::/28fc64:bbf:ffff:ffff:ffff:ffff:ffff:ffff
189fc64:bc0::/28fc64:bcf:ffff:ffff:ffff:ffff:ffff:ffff
190fc64:bd0::/28fc64:bdf:ffff:ffff:ffff:ffff:ffff:ffff
191fc64:be0::/28fc64:bef:ffff:ffff:ffff:ffff:ffff:ffff
192fc64:bf0::/28fc64:bff:ffff:ffff:ffff:ffff:ffff:ffff
193fc64:c00::/28fc64:c0f:ffff:ffff:ffff:ffff:ffff:ffff
194fc64:c10::/28fc64:c1f:ffff:ffff:ffff:ffff:ffff:ffff
195fc64:c20::/28fc64:c2f:ffff:ffff:ffff:ffff:ffff:ffff
196fc64:c30::/28fc64:c3f:ffff:ffff:ffff:ffff:ffff:ffff
197fc64:c40::/28fc64:c4f:ffff:ffff:ffff:ffff:ffff:ffff
198fc64:c50::/28fc64:c5f:ffff:ffff:ffff:ffff:ffff:ffff
199fc64:c60::/28fc64:c6f:ffff:ffff:ffff:ffff:ffff:ffff
200fc64:c70::/28fc64:c7f:ffff:ffff:ffff:ffff:ffff:ffff
201fc64:c80::/28fc64:c8f:ffff:ffff:ffff:ffff:ffff:ffff
202fc64:c90::/28fc64:c9f:ffff:ffff:ffff:ffff:ffff:ffff
203fc64:ca0::/28fc64:caf:ffff:ffff:ffff:ffff:ffff:ffff
204fc64:cb0::/28fc64:cbf:ffff:ffff:ffff:ffff:ffff:ffff
205fc64:cc0::/28fc64:ccf:ffff:ffff:ffff:ffff:ffff:ffff
206fc64:cd0::/28fc64:cdf:ffff:ffff:ffff:ffff:ffff:ffff
207fc64:ce0::/28fc64:cef:ffff:ffff:ffff:ffff:ffff:ffff
208fc64:cf0::/28fc64:cff:ffff:ffff:ffff:ffff:ffff:ffff
209fc64:d00::/28fc64:d0f:ffff:ffff:ffff:ffff:ffff:ffff
210fc64:d10::/28fc64:d1f:ffff:ffff:ffff:ffff:ffff:ffff
211fc64:d20::/28fc64:d2f:ffff:ffff:ffff:ffff:ffff:ffff
212fc64:d30::/28fc64:d3f:ffff:ffff:ffff:ffff:ffff:ffff
213fc64:d40::/28fc64:d4f:ffff:ffff:ffff:ffff:ffff:ffff
214fc64:d50::/28fc64:d5f:ffff:ffff:ffff:ffff:ffff:ffff
215fc64:d60::/28fc64:d6f:ffff:ffff:ffff:ffff:ffff:ffff
216fc64:d70::/28fc64:d7f:ffff:ffff:ffff:ffff:ffff:ffff
217fc64:d80::/28fc64:d8f:ffff:ffff:ffff:ffff:ffff:ffff
218fc64:d90::/28fc64:d9f:ffff:ffff:ffff:ffff:ffff:ffff
219fc64:da0::/28fc64:daf:ffff:ffff:ffff:ffff:ffff:ffff
220fc64:db0::/28fc64:dbf:ffff:ffff:ffff:ffff:ffff:ffff
221fc64:dc0::/28fc64:dcf:ffff:ffff:ffff:ffff:ffff:ffff
222fc64:dd0::/28fc64:ddf:ffff:ffff:ffff:ffff:ffff:ffff
223fc64:de0::/28fc64:def:ffff:ffff:ffff:ffff:ffff:ffff
224fc64:df0::/28fc64:dff:ffff:ffff:ffff:ffff:ffff:ffff
225fc64:e00::/28fc64:e0f:ffff:ffff:ffff:ffff:ffff:ffff
226fc64:e10::/28fc64:e1f:ffff:ffff:ffff:ffff:ffff:ffff
227fc64:e20::/28fc64:e2f:ffff:ffff:ffff:ffff:ffff:ffff
228fc64:e30::/28fc64:e3f:ffff:ffff:ffff:ffff:ffff:ffff
229fc64:e40::/28fc64:e4f:ffff:ffff:ffff:ffff:ffff:ffff
230fc64:e50::/28fc64:e5f:ffff:ffff:ffff:ffff:ffff:ffff
231fc64:e60::/28fc64:e6f:ffff:ffff:ffff:ffff:ffff:ffff
232fc64:e70::/28fc64:e7f:ffff:ffff:ffff:ffff:ffff:ffff
233fc64:e80::/28fc64:e8f:ffff:ffff:ffff:ffff:ffff:ffff
234fc64:e90::/28fc64:e9f:ffff:ffff:ffff:ffff:ffff:ffff
235fc64:ea0::/28fc64:eaf:ffff:ffff:ffff:ffff:ffff:ffff
236fc64:eb0::/28fc64:ebf:ffff:ffff:ffff:ffff:ffff:ffff
237fc64:ec0::/28fc64:ecf:ffff:ffff:ffff:ffff:ffff:ffff
238fc64:ed0::/28fc64:edf:ffff:ffff:ffff:ffff:ffff:ffff
239fc64:ee0::/28fc64:eef:ffff:ffff:ffff:ffff:ffff:ffff
240fc64:ef0::/28fc64:eff:ffff:ffff:ffff:ffff:ffff:ffff
241fc64:f00::/28fc64:f0f:ffff:ffff:ffff:ffff:ffff:ffff
242fc64:f10::/28fc64:f1f:ffff:ffff:ffff:ffff:ffff:ffff
243fc64:f20::/28fc64:f2f:ffff:ffff:ffff:ffff:ffff:ffff
244fc64:f30::/28fc64:f3f:ffff:ffff:ffff:ffff:ffff:ffff
245fc64:f40::/28fc64:f4f:ffff:ffff:ffff:ffff:ffff:ffff
246fc64:f50::/28fc64:f5f:ffff:ffff:ffff:ffff:ffff:ffff
247fc64:f60::/28fc64:f6f:ffff:ffff:ffff:ffff:ffff:ffff
248fc64:f70::/28fc64:f7f:ffff:ffff:ffff:ffff:ffff:ffff
249fc64:f80::/28fc64:f8f:ffff:ffff:ffff:ffff:ffff:ffff
250fc64:f90::/28fc64:f9f:ffff:ffff:ffff:ffff:ffff:ffff
251fc64:fa0::/28fc64:faf:ffff:ffff:ffff:ffff:ffff:ffff
252fc64:fb0::/28fc64:fbf:ffff:ffff:ffff:ffff:ffff:ffff
253fc64:fc0::/28fc64:fcf:ffff:ffff:ffff:ffff:ffff:ffff
254fc64:fd0::/28fc64:fdf:ffff:ffff:ffff:ffff:ffff:ffff
255fc64:fe0::/28fc64:fef:ffff:ffff:ffff:ffff:ffff:ffff
256fc64:ff0::/28fc64:fff:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses